Community
cancel
Showing results for 
Search instead for 
Did you mean: 
SGaro
Novice
2,602 Views

Galileo: problems while i'm trying to configure Webserver with Apache and PHP

Jump to solution

Hi, i've a big problem while i'm trying to configure a webserver with my Galileo (2gen). I tried to flash on the SD "small OS" and "full iot devkit" (from download center), but in both cases apache and php don't work.

With the iot devkit, using Lighttpd, php returns 403 forbidden and also when i try to install modphp and apache2, with opkg, i can't solve anything because apache2 doesn't start. Same result is for the small OS, when i install modphp and apache2, the last one doesn't start for httpd pid's error.

Is there a distro with php and apache already working?!

Tags (2)
1 Solution
SGaro
Novice
154 Views

Hi FGT. Alex suggests the procedure that i've already tried, but apache2 won't start due to httpd's pid error.

Hi CMata_Intel! This is the the output of uname -a (using full iot dev kit image):

"Linux galileo 3.8.7-yocto-standard # 1 Tue Sep 29 22:16:33 GMT 2015 i586 GNU/Linux"

About the repos, i use only all, i586 and clinton from repo.opkg.net/galileo. So, i must add also all and i586 from iotdk.intel.com/repos/2.0/iotdk?!

About the repos, i use in basefeeds.conf all, i586 and clinton from repo.opkg.net/galileo; in iotdk.conf i use iotdk.intel.com/repos/2.0/iotdk.

UPDATE.

With a clean OS (iot devkit), the installation of apache2 (with option --force-overwrite, due to the error "But that file is already provided by package * libc6-utils") returns:

Configuring apache2.

Adding system startup for /etc/init.d/apache2.

Starting web server: apache2/usr/sbin/apachectl: line 79: 755 Segmentation fault $HTTPD "$@"

failed

UPDATEx2.

I've solved using the image for SD, installing with opkg modphp and apache. I've solved the error pid httpd following this http://kb.odin.com/en/121495 tutorial.

View solution in original post

4 Replies
Carlos_M_Intel
Employee
154 Views

Hi garsim,

I suggest you to use the iot-devkit image, could you post the output of running the command uname -a on this image?

For the iot-devkit image you have to use the repository from: http://iotdk.intel.com/repos/2.0/iotdk/ http://iotdk.intel.com/repos/2.0; are you using this repo?

For the uClibc image you have to use the repo from http://repo.opkg.net/galileo http://repo.opkg.net/galileo

The problem you are having could be with a conflict between the repositories you are using, please use the correct repo and install apache2 and lighttpd. For modphp, I suggest you to install the package from source: https://github.com/php php.net · GitHub

>https://github.com/php/php-src/blob/master/INSTALL php-src/INSTALL at master · php/php-src · GitHub

Once you have installed the packages from the right source, try again with apache2, if you get the same problems please post the errors you are getting.

Regards,

Charlie

FTinetti
Honored Contributor I
154 Views

Hi garsim,

I've not tested it, but check the post by AlexT_Intel at

...you can just configure http://alextgalileo.altervista.org/package-repo-configuration-instructions.html my repo, then run "opkg install mysql5 apache2 modphp" and you'll have it.

HTH,

Fernando.

SGaro
Novice
155 Views

Hi FGT. Alex suggests the procedure that i've already tried, but apache2 won't start due to httpd's pid error.

Hi CMata_Intel! This is the the output of uname -a (using full iot dev kit image):

"Linux galileo 3.8.7-yocto-standard # 1 Tue Sep 29 22:16:33 GMT 2015 i586 GNU/Linux"

About the repos, i use only all, i586 and clinton from repo.opkg.net/galileo. So, i must add also all and i586 from iotdk.intel.com/repos/2.0/iotdk?!

About the repos, i use in basefeeds.conf all, i586 and clinton from repo.opkg.net/galileo; in iotdk.conf i use iotdk.intel.com/repos/2.0/iotdk.

UPDATE.

With a clean OS (iot devkit), the installation of apache2 (with option --force-overwrite, due to the error "But that file is already provided by package * libc6-utils") returns:

Configuring apache2.

Adding system startup for /etc/init.d/apache2.

Starting web server: apache2/usr/sbin/apachectl: line 79: 755 Segmentation fault $HTTPD "$@"

failed

UPDATEx2.

I've solved using the image for SD, installing with opkg modphp and apache. I've solved the error pid httpd following this http://kb.odin.com/en/121495 tutorial.

View solution in original post

FTinetti
Honored Contributor I
154 Views

Hi garsin,

It's good to know at least that the method suggested by AlexT_Intel does not work.

I'll try to get time to experiment and let you know in case I find something interesting adn/or useful.

Fernando.

Reply